- Main Page
- Data Structures
- Files
- Directories

- Search for |

- File List
- Globals

# _types.h File Reference

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs
typedef __int64_t | __blkcnt_t
typedef __uint32_t | __blksize_t
typedef unsigned long | __clock_t
typedef __uint32_t | __dev_t
typedef __uint32_t | __fflags_t
typedef __uint32_t | __gid_t
typedef __uint32_t | __ino_t
typedef short | __int16_t
typedef int | __int32_t
typedef long long | __int64_t
typedef __signed char | __int8_t
typedef __uint16_t | __mode_t
typedef __uint16_t | __nlink_t
typedef __int32_t | __ssize_t
typedef __int32_t | __time_t
typedef __uint32_t | __uid_t
typedef unsigned short | __uint16_t
typedef unsigned int | __uint32_t
typedef unsigned long long | __uint64_t
typedef unsigned char | __uint8_t

## Typedef Documentation

typedef __int64_t __blkcnt_t

Definition at line 57 of file _types.h.

typedef __uint32_t __blksize_t

Definition at line 58 of file _types.h.

typedef unsigned long __clock_t

Definition at line 45 of file _types.h.

typedef __uint32_t __dev_t

Definition at line 51 of file _types.h.

typedef __uint32_t __fflags_t

Definition at line 59 of file _types.h.

typedef __uint32_t __gid_t

Definition at line 55 of file _types.h.

typedef __uint32_t __ino_t

Definition at line 47 of file _types.h.

typedef short __int16_t

Definition at line 37 of file _types.h.

typedef int __int32_t

Definition at line 39 of file _types.h.

typedef long long __int64_t

Definition at line 41 of file _types.h.

typedef __signed char __int8_t

Definition at line 35 of file _types.h.

typedef __uint16_t __mode_t

Definition at line 52 of file _types.h.

typedef __uint16_t __nlink_t

Definition at line 53 of file _types.h.

typedef __int32_t __ssize_t

Definition at line 48 of file _types.h.

typedef __int32_t __time_t

Definition at line 56 of file _types.h.

typedef __uint32_t __uid_t

Definition at line 54 of file _types.h.

typedef unsigned short __uint16_t

Definition at line 38 of file _types.h.

typedef unsigned int __uint32_t

Definition at line 40 of file _types.h.

typedef unsigned long long __uint64_t

Definition at line 42 of file _types.h.

typedef unsigned char __uint8_t

Definition at line 36 of file _types.h.